<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="32" short-name="judges-problem" url="https://polygon.codeforces.com/p0x0gu1/tourist/judges-problem">
    <names>
        <name language="english" value="Judging Problem"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>54</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen_small -L 0 -R 10000" method="generated"/>
                <test cmd="gen_small -L 10000 -R 20000" method="generated"/>
                <test cmd="gen_small -L 20000 -R 30000" method="generated"/>
                <test cmd="gen_small -L 30000 -R 40000" method="generated"/>
                <test cmd="gen_small -L 40000 -R 50000" method="generated"/>
                <test cmd="gen -t 1 -tmode almost-distinct -d 0" method="generated"/>
                <test cmd="gen -t 10 -tmode almost-distinct -d 0" method="generated"/>
                <test cmd="gen -t 1 -tmode almost-distinct -d 5" method="generated"/>
                <test cmd="gen -t 10 -tmode almost-distinct -d 5" method="generated"/>
                <test cmd="gen -t 1 -tmode almost-distinct -d 50" method="generated"/>
                <test cmd="gen -t 10 -tmode almost-distinct -d 50" method="generated"/>
                <test cmd="gen -t 1 -tmode few-swaps -swaps 5" method="generated"/>
                <test cmd="gen -t 1 -tmode few-swaps -swaps 10" method="generated"/>
                <test cmd="gen -t 1 -tmode few-swaps -swaps 100" method="generated"/>
                <test cmd="gen -t 1 -tmode few-swaps -swaps 1000" method="generated"/>
                <test cmd="gen -t 10 -tmode few-swaps -swaps 5" method="generated"/>
                <test cmd="gen -t 10 -tmode few-swaps -swaps 10" method="generated"/>
                <test cmd="gen -t 10 -tmode few-swaps -swaps 100" method="generated"/>
                <test cmd="gen -t 10 -tmode few-swaps -swaps 1000" method="generated"/>
                <test method="manual"/>
                <test cmd="gen_tourist -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=5000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=2000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=500 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=200 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=50 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=20 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=5 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=2 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 a" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 b" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 c" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 d" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 e" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 f" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 g" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 h" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 i" method="generated"/>
                <test cmd="gen_tourist -t=1 -minn=2 -maxn=100000 j" method="generated"/>
                <test cmd="gen_tourist_max -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max -t=1 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max2 -t=10000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max2 -t=1000 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max2 -t=100 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max2 -t=10 -minn=2 -maxn=100000" method="generated"/>
                <test cmd="gen_tourist_max2 -t=1 -minn=2 -maxn=100000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/common.h" type="h.g++"/>
            <file path="files/limits.h" type="h.g++"/>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_small.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_small.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_tourist.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_tourist_max.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_tourist_max.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_tourist_max2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_tourist_max2.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::nyesno.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
                <testset>
                    <test-count>5</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/347932571_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347932571_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347945184_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/347945184_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347992872_shevlopmes_RomkaRS_artem3605_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347992872_shevlopmes_RomkaRS_artem3605_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348022854__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348022854__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348045426_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348045426_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348110312_Karuk_BLOBVISGOD_jeroenodb_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348110312_Karuk_BLOBVISGOD_jeroenodb_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348113785_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348113785_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348137712_Stanislau_Karabutsa_alex.dobleaga_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348137712_Stanislau_Karabutsa_alex.dobleaga_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/golikovnik_ac.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_ac.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/golikovnik_n2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_n2.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/golikovnik_n2_rand.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_n2_rand.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/golikovnik_py.py" type="python.3"/>
                <binary path="solutions/golikovnik_py.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/golikovnik_umap.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_umap.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/golikovnik_uset.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_uset.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/tourist-wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="implementation"/>
        <tag value="set"/>
    </tags>
</problem>
